#-------------------------------------------------------------------------------
sub sumprint
#-------------------------------------------------------------------------------
# Write lines to the summary, and to Oracle
{
  ($sum_h,$sum_string,$sum_flag,$sum_size) = @_;

  if ($sum_string ne "")
  {
    print HTMLSYS "$sum_string\n";
  }

  if ($sum_h ne "")
  {
    $sum_long .= $sum_string;
  }
  
  if ($mode eq "")
  {
    $summode = "prod$dbamon_tasknum";
  }
  else
  {
    $summode = "$mode$dbamon_tasknum";
  }


  if ($sum_flag eq "S")
  {
    &logit("Start of Summary - Cleaning summary_detail, summary_tot and summary_dbms tables for this mode");
    $sum_long = "";

    #Test
    ##&logit("DEBUG BFore - Running: select count(*) from dbamon.summary_dbms where dbamonmode like '$summode';");
    #system("sqlplus /nolog <<!
    #  connect dbamon/dbamon
    #  set echo on
    #  set showmode both
    #  select count(*) from dbamon.summary_dbms where dbamonmode like '$summode';
    #  exit
    #!");

    $statement  = "delete from dbamon.summary_detail where dbamonmode like '$summode'";
    runSQL($statement);

    $statement  = "delete from dbamon.summary_tot where dbamonmode like '$summode'";
    runSQL($statement);

    $statement  = "delete from dbamon.summary_dbms where dbamonmode like '$summode'";
    runSQL($statement);
    ##&logit("DEBUG - statement=$statement");

    $statement  = "delete from dbamon.pri_sby where dbamonmode like '$summode'";
    runSQL($statement);

    #Test
    #&logit("DEBUG After - Running: select count(*) from dbamon.summary_dbms where dbamonmode like '$summode';");
    #system("sqlplus /nolog <<!
    #  connect dbamon/dbamon
    #  set echo on
    #  set showmode both
    #  select count(*) from dbamon.summary_dbms where dbamonmode like '$summode';
    #  exit
    #!");

  }

  if ($sum_flag eq "W")
  {
    #---- Old
    #$_ = $sum_long;
    #s/\n/ /g;
    ##s/'/"/g;
    ##s/'/''/g;
    #$sum_long = $_;
    #---- New
    $sum_long =~ s/\n//g; 

    ##print "DEBUG - sum_long=$sum_long\n"; 

    if ($sum_size eq "") { $sum_size = 0; }

    $z = length($sum_long);
    ##print "DEBUG_SUM - title=$title[$sum_h] length(sum_long)=$z\n"; 

    if ($sw_version[$sum_h])
    {
      $zdv = $dbmsout[$sum_h] . "-" . substr($sw_version[$sum_h],0,3);
    }
    else
    {
      $zdv = "";
    }

    ##print "zdv=$zdv title=$title[$sum_h]\n";

    #---- If any IDx values are longer than 32, trim them 
    $idx_length = 32;
    $id1[$sum_h] = substr($id1[$sum_h],0,30) . "+" if length($id1[$sum_h]) > $idx_length; 
    $id2[$sum_h] = substr($id2[$sum_h],0,30) . "+" if length($id2[$sum_h]) > $idx_length; 
    $id3[$sum_h] = substr($id3[$sum_h],0,30) . "+" if length($id3[$sum_h]) > $idx_length; 
    $id4[$sum_h] = substr($id4[$sum_h],0,30) . "+" if length($id4[$sum_h]) > $idx_length; 
    $id5[$sum_h] = substr($id5[$sum_h],0,30) . "+" if length($id5[$sum_h]) > $idx_length; 
    $id6[$sum_h] = substr($id6[$sum_h],0,30) . "+" if length($id6[$sum_h]) > $idx_length; 
    $id7[$sum_h] = substr($id7[$sum_h],0,30) . "+" if length($id7[$sum_h]) > $idx_length; 
    $id8[$sum_h] = substr($id8[$sum_h],0,30) . "+" if length($id8[$sum_h]) > $idx_length; 
    $id9[$sum_h] = substr($id9[$sum_h],0,30) . "+" if length($id9[$sum_h]) > $idx_length; 
    $id10[$sum_h] = substr($id10[$sum_h],0,30) . "+" if length($id10[$sum_h]) > $idx_length; 
    $id11[$sum_h] = substr($id11[$sum_h],0,30) . "+" if length($id11[$sum_h]) > $idx_length; 
    $id12[$sum_h] = substr($id12[$sum_h],0,30) . "+" if length($id12[$sum_h]) > $idx_length; 
    $id13[$sum_h] = substr($id13[$sum_h],0,30) . "+" if length($id13[$sum_h]) > $idx_length; 
    $id14[$sum_h] = substr($id14[$sum_h],0,30) . "+" if length($id14[$sum_h]) > $idx_length; 
    $id15[$sum_h] = substr($id15[$sum_h],0,30) . "+" if length($id15[$sum_h]) > $idx_length; 
    $id16[$sum_h] = substr($id16[$sum_h],0,30) . "+" if length($id16[$sum_h]) > $idx_length; 
    $id17[$sum_h] = substr($id17[$sum_h],0,30) . "+" if length($id17[$sum_h]) > $idx_length; 
    $id18[$sum_h] = substr($id18[$sum_h],0,30) . "+" if length($id18[$sum_h]) > $idx_length; 
    $id19[$sum_h] = substr($id19[$sum_h],0,30) . "+" if length($id19[$sum_h]) > $idx_length; 
    $id20[$sum_h] = substr($id20[$sum_h],0,30) . "+" if length($id20[$sum_h]) > $idx_length; 

    $statement  = "
      insert into dbamon.summary_detail
        (dbamonmode,
         system,
         dbms,
         dbmsandver,
         title,
         spacealloc,
         htmlstring,
         id1,
         id2,
         id3,
         id4,
         id5,
         id6,
         id7,
         id8,
         id9,
         id10,
         id11,
         id12,
         id13,
         id14,
         id15,
         id16,
         id17,
         id18,
         id19,
         id20,
         serverloc,
         health,
         rmt_hostname,
         rmt_domain,
         rmt_title1
        )
      values
        (\'$summode\',
         \'$hostname[$sum_h]\', 
         \'$dbmsout[$sum_h]\', 
         \'$zdv\', 
         \'$title[$sum_h]\', 
         \'$sum_size\', 
         ?, 
         \'$id1[$sum_h]\', 
         \'$id2[$sum_h]\',
         \'$id3[$sum_h]\',
         \'$id4[$sum_h]\',
         \'$id5[$sum_h]\',
         \'$id6[$sum_h]\',
         \'$id7[$sum_h]\',
         \'$id8[$sum_h]\',
         \'$id9[$sum_h]\',
         \'$id10[$sum_h]\',
         \'$id11[$sum_h]\', 
         \'$id12[$sum_h]\',
         \'$id13[$sum_h]\',
         \'$id14[$sum_h]\',
         \'$id15[$sum_h]\',
         \'$id16[$sum_h]\',
         \'$id17[$sum_h]\',
         \'$id18[$sum_h]\',
         \'$id19[$sum_h]\',
         \'$id20[$sum_h]\',
         \'$serverloc[$sum_h]\',
         \'$health_flag[$sum_h]\',
         \'$zhost\',
         \'$zdomain\',
         \'$title1[$sum_h]\'
        )
    ";

    ##&debug($sum_h,"W statement=$statement");

    $bind_1 = $sum_long;
    runSQLBind($statement);

    $sum_long = "";

    # Write out pri_sby row, if applicable
    if ($is_prihost[$sum_h] ne "")
    {
      $statement  = "
	insert into dbamon.pri_sby
	  (dbamonmode,
	   dbms,
	   pri_host,
	   pri_sid,
	   sby_host,
	   sby_sid,
	   mr_delta
	  )
	values
	  (\'$summode\',
	   \'$dbmsout[$sum_h]\', 
	   \'$is_prihost[$sum_h]\', 
	   \'$is_prisid[$sum_h]\', 
	   \'$hostfix[$sum_h]\', 
	   \'$orasid[$sum_h]\', 
	   \'$mr_delta[$sum_h]\'
	  )
      ";
      runSQL($statement);
    }
  }

  if ($sum_flag eq "A")    #Alias entries
  {
    $a_dbms  = "(ServerAlias)";
    $a_title = "$alias(A)";

    $statement  = "
      insert into dbamon.summary_detail
        (dbamonmode,
         system,
         dbms,
         title,
         spacealloc,
         htmlstring,
         id1,
         id2,
         id3,
         id4,
         serverloc,
         health
        )
      values
        (\'$summode\',
         \'$alias\', 
         \'$a_dbms\', 
         \'$a_title\', 
         \'0\', 
         \'$alias_html\', 
         \'\', 
         \'\',
         \'\',
         \'\',
         \'$serverloc[$sum_h]\',
         \'-1\'
        )
    ";

    ## print "A statement=$statement \n";

    runSQL($statement);
  }
}
#-------------------------------------------------------------------------------
1;
