#-------------------------------------------------------------------------------
# Write a standardized message to stdout
#
#-------------------------------------------------------------------------------
sub logit
#-------------------------------------------------------------------------------
{
  my ($logit_m, $logit_h, $w_tofile, $logit_stdout_flag) = @_;

  $nowdate = &getdate();

  my $z = $mode . $dbamon_tasknum;

  ##print "DEBUG_Logit: logit_h=($logit_h) wheretolog=$wheretolog w_tofile=$w_tofile logit_m=$logit_m\n"; 

  if (
      ($wheretolog eq "S" && $w_tofile != 1) || 
      $logit_stdout_flag) 
  {
    if ($logit_h eq "")
    {
      printf("%s DBAmon $verrel %-6s %3s [$$] | %s\n",$nowdate,$z,$iter_count,$logit_m) ;
    }
    else
    {
      printf("%s DBAmon $verrel %-6s %3s [$$] | $title[$logit_h] | %s: %s\n",$nowdate,$z,$iter_count,$this_function,$logit_m) ;
    }
  }
  else
  {
    open(LOGFILE,">>$logfile") ||  &error_msg("Can't open append logfile=$logfile - $!");
    if ($logit_h eq "")
    {
      printf LOGFILE "%s DBAmon $verrel %-6s %3s [$$] | %s\n",$nowdate,$z,$iter_count,$logit_m;
    }
    else
    {
      printf LOGFILE "%s DBAmon $verrel %-6s %3s [$$] | $title[$logit_h] | %s: %s\n",$nowdate,$z,$iter_count,$this_function,$logit_m;
    }
    close(LOGFILE);
  }

  #---- Log to LOG_INSTANCES file (individual log for each instance)
  if ($logit_h ne "")
  {
    my $lo_file = "$log_instance[$logit_h]_$dow.txt"; 
    open(LOGINS,">>$lo_file") ||  &error_msg("Cannot open append lo_file=$lo_file - $!");
    printf LOGINS "%s DBAmon %-6s %3s [$$] | $titleraw[$logit_h] | %s: %s\n",$nowdate,$z,$iter_count,$this_function,$logit_m;
    close(LOGINS); 
  }
}

#-------------------------------------------------------------------------------
1;
